/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { EventArgs, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let OverlayTextUpdatingEventArgs = /*@__PURE__*/ (() => {
    class OverlayTextUpdatingEventArgs extends EventArgs {
        constructor() {
            super(...arguments);
            this._dataIndex = 0;
            this._horizontalMargin = 0;
            this._horizontalPadding = 0;
            this._verticalPadding = 0;
            this._verticalMargin = 0;
            this._borderRadius = 0;
            this._borderThickness = 0;
            this._borderShift = 0;
            this._backgroundShift = 0;
            this._textColorShift = 0;
            this._borderMode = 0;
            this._backgroundMode = 0;
            this._textColorMode = 0;
            this._textContent = null;
            this._textAngle = 0;
            this._textVisible = false;
            this._textEmpty = false;
            this._textLocation = 0;
            this._textColor = null;
            this._background = null;
            this._borderStroke = null;
            this._shapeBrush = null;
            this._shapeOutline = null;
            this.f = false;
        }
        get dataIndex() {
            return this._dataIndex;
        }
        set dataIndex(a) {
            this._dataIndex = a;
        }
        get horizontalMargin() {
            return this._horizontalMargin;
        }
        set horizontalMargin(a) {
            this._horizontalMargin = a;
        }
        get horizontalPadding() {
            return this._horizontalPadding;
        }
        set horizontalPadding(a) {
            this._horizontalPadding = a;
        }
        get verticalPadding() {
            return this._verticalPadding;
        }
        set verticalPadding(a) {
            this._verticalPadding = a;
        }
        get verticalMargin() {
            return this._verticalMargin;
        }
        set verticalMargin(a) {
            this._verticalMargin = a;
        }
        get borderRadius() {
            return this._borderRadius;
        }
        set borderRadius(a) {
            this._borderRadius = a;
        }
        get borderThickness() {
            return this._borderThickness;
        }
        set borderThickness(a) {
            this._borderThickness = a;
        }
        get borderShift() {
            return this._borderShift;
        }
        set borderShift(a) {
            this._borderShift = a;
        }
        get backgroundShift() {
            return this._backgroundShift;
        }
        set backgroundShift(a) {
            this._backgroundShift = a;
        }
        get textColorShift() {
            return this._textColorShift;
        }
        set textColorShift(a) {
            this._textColorShift = a;
        }
        get borderMode() {
            return this._borderMode;
        }
        set borderMode(a) {
            this._borderMode = a;
        }
        get backgroundMode() {
            return this._backgroundMode;
        }
        set backgroundMode(a) {
            this._backgroundMode = a;
        }
        get textColorMode() {
            return this._textColorMode;
        }
        set textColorMode(a) {
            this._textColorMode = a;
        }
        get textContent() {
            return this._textContent;
        }
        set textContent(a) {
            this._textContent = a;
        }
        get textAngle() {
            return this._textAngle;
        }
        set textAngle(a) {
            this._textAngle = a;
        }
        get textVisible() {
            return this._textVisible;
        }
        set textVisible(a) {
            this._textVisible = a;
        }
        get textEmpty() {
            return this._textEmpty;
        }
        set textEmpty(a) {
            this._textEmpty = a;
        }
        get textLocation() {
            return this._textLocation;
        }
        set textLocation(a) {
            this._textLocation = a;
        }
        get textColor() {
            return this._textColor;
        }
        set textColor(a) {
            this._textColor = a;
        }
        get background() {
            return this._background;
        }
        set background(a) {
            this._background = a;
        }
        get borderStroke() {
            return this._borderStroke;
        }
        set borderStroke(a) {
            this._borderStroke = a;
        }
        get shapeBrush() {
            return this._shapeBrush;
        }
        set shapeBrush(a) {
            this._shapeBrush = a;
        }
        get shapeOutline() {
            return this._shapeOutline;
        }
        set shapeOutline(a) {
            this._shapeOutline = a;
        }
    }
    OverlayTextUpdatingEventArgs.$t = markType(OverlayTextUpdatingEventArgs, 'OverlayTextUpdatingEventArgs', EventArgs.$);
    return OverlayTextUpdatingEventArgs;
})();
